import { useState, useEffect } from "react";
import { useSelector } from "react-redux";
import { useRouter } from "@tarojs/taro";
import { ScrollView } from "@tarojs/components";
import { getbkAccountRecord } from "@/services/broker";

import Item from "./Item";

import "./index.scss";

export default function MyCollectForActivity(props) {
  const { show } = props;
  const router = useRouter();
  const { type, buildingId } = router.params;

  const [PageList, setPageList] = useState([]);

  const [pageNumber, setPageNumber] = useState(1);
  const [HasNextPage, setHasNextPage] = useState(true);

  // useEffect(() => {
  //   if(PersonId) {
  //     GetPageList()
  //   }
  // }, [pageNumber, PersonId])

  // const PageRefresh = () => { // 页面下拉刷新回调
  //   setPull(true)
  // }

  // const GetPageList = () => {
  //   setHasNextPage(false)
  //   fetch({ url: API_ACTIVITY_LIST, method: 'get', payload: { city: city?.curCity?.id, buildingId, type, pageNumber, pageSize: 10 } }).then((res) => {
  //     setPageList(pageNumber === 1 ? res.records || [] : PageList.concat(res.records || []))
  //     setHasNextPage(res.current < res.pages)
  //     setPull(false)
  //   })
  // }

  // const PageLoadMore = () => { // 页面上拉加载更多
  //   if(HasNextPage) {
  //     setPageNumber(pageNumber + 1)
  //   }
  // }

  useEffect(() => {
    if (pageNumber) {
      GetPageList();
    }
  }, [pageNumber]);

  const GetPageList = () => {
    setHasNextPage(false);
    getbkAccountRecord().then((res) => {
      console.log(res, "getbkAccountRecord");
      setPageList(
        pageNumber === 1
          ? res.records || []
          : PageList.concat(res.records || [])
      );
      setHasNextPage(res.current < res.pages);
    
    });
    //   fetch({ url: API_ACTIVITY_LIST, method: 'get', payload: { city: city?.curCity?.id, buildingId, type, pageNumber, pageSize: 10 } }).then((res) => {
    //     setPageList(pageNumber === 1 ? res.records || [] : PageList.concat(res.records || []))
    //     setHasNextPage(res.current < res.pages)
    //     setPull(false)
    //   })
  };

  const PageLoadMore = () => {
    // 页面上拉加载更多
    if (HasNextPage) {
      setPageNumber(pageNumber + 1);
    }
  };

  return (
    <view
      className="components myWalletList"
      style={{ display: show ? "block" : "none" }}
    >
      <ScrollView
        scroll-y
        onscrolltolower={PageLoadMore}
        refresher-background="#fff"
      >
        <view className="PageContent">
          <view className="List">
            {PageList.map((item, index) => (
              <Item item={item} key={`myWalletList-${index}`}></Item>
            ))}
          </view>

          {/* bottom */}
          <view className="PageBottom">
            <text>已经到底了~</text>
          </view>
        </view>
      </ScrollView>
    </view>
  );
}
